Sondage : Aimez-vous gcc 4.9.2 ?

Donnez votre avis !

Modérateur : Politburo

Répondre

Aimez-vous gcc 4.9.2 ?

Oui Je compile sans aucun soucis avec : que du bonheur
2
40%
Bof Bof j'ai rencontré quelques problèmes mineurs
0
Aucun vote
il a parfois des comportements erratiques mais je l'aime bien
0
Aucun vote
gcc est un compilateur de m***e, et je partage mon opinion
3
60%
 
Nombre total de votes : 5

Avatar de l’utilisateur
fred260571
Fonctionne à 300 bauds
Fonctionne à 300 bauds
Messages : 135
Inscription : 19 avr. 2016 13:10
Localisation : Toulouse

Sondage : Aimez-vous gcc 4.9.2 ?

Message par fred260571 » 20 mai 2018 09:43

Sondage : Aimez-vous gcc 4.9.2 ?
ignorance is bliss
TI 57 II, TI 66, casio fx7500g, HP48GX, HP49G+, HP200LX, palm m125, Sharp PC-G850VS, HP12C

Avatar de l’utilisateur
fred260571
Fonctionne à 300 bauds
Fonctionne à 300 bauds
Messages : 135
Inscription : 19 avr. 2016 13:10
Localisation : Toulouse

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par fred260571 » 20 mai 2018 09:46

Je viens de passer 2 heures sur un bug de gcc :evil: :evil: :evil:
il y a des matins où on ferait bien de ne pas compiler
https://www.phoronix.com/scan.php?page= ... px=MTc1MDQ
ignorance is bliss
TI 57 II, TI 66, casio fx7500g, HP48GX, HP49G+, HP200LX, palm m125, Sharp PC-G850VS, HP12C

Avatar de l’utilisateur
Gege34
Fonctionne à 1200 bauds
Fonctionne à 1200 bauds
Messages : 426
Inscription : 03 oct. 2014 11:19
Localisation : 31

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par Gege34 » 20 mai 2018 10:20

Le G de GCC vient de gnu mais ça pourrait aussi venir de générique et c'est bien sa force et son problème. Il existe pour de très nombreuses plateforme mais n'est optimisé pour occune.
Ca semble devenir une usine a gaz aussi, il y a souvent des bugs à chaque nouvelle release. Donc il vaut mieux rester avec une version plus ancienne éprouvée.
Ou alors s'attendre à avoir des bugs.
Donc pour moi gcc c'est de la merde mais souvent on a pas le choix de faire autrement.
Amiga 1200 (gonflé et customisé), Amiga 1000, Amiga 600 + Vampire 600V2, Commodore 128 et son 1541, Amiga 500
HP 48g (gonflé), 48gx(*2), 49g, 49g+, 50g(*2), WP34S (faite maison)
PSION 5mx 16Mb, Casio FX4000P, Ti Voyage 200, Canon X07(*2) + X710(*2 à réviser)

Avatar de l’utilisateur
fred260571
Fonctionne à 300 bauds
Fonctionne à 300 bauds
Messages : 135
Inscription : 19 avr. 2016 13:10
Localisation : Toulouse

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par fred260571 » 20 mai 2018 10:53

Le pire c'est qu'il est imposé par défaut dans les Raspberry Pi :evil: :evil: :evil:
Je me calme un peu et puis dans quelques jours je poste ma façon de penser sur leur forum officiel
ignorance is bliss
TI 57 II, TI 66, casio fx7500g, HP48GX, HP49G+, HP200LX, palm m125, Sharp PC-G850VS, HP12C

Avatar de l’utilisateur
fred260571
Fonctionne à 300 bauds
Fonctionne à 300 bauds
Messages : 135
Inscription : 19 avr. 2016 13:10
Localisation : Toulouse

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par fred260571 » 20 mai 2018 11:28

Heureusement je débug avec des printf
possible que le bug disparaisse avec gdb
et que je pense à tort avoir un Heisenbug :mrgreen:
https://fr.wikipedia.org/wiki/Bug_logiciel_inhabituel
ignorance is bliss
TI 57 II, TI 66, casio fx7500g, HP48GX, HP49G+, HP200LX, palm m125, Sharp PC-G850VS, HP12C

Avatar de l’utilisateur
gege
Fonctionne à 14400 bauds
Fonctionne à 14400 bauds
Messages : 6331
Inscription : 31 janv. 2008 15:24
Localisation : Banlieue Paârisienne
Contact :

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par gege » 20 mai 2018 12:13

Bonjour,
C'est quoi vos bugs ?
Souvent en supprimant les optimisations, tout va mieux.
G.E.

Avatar de l’utilisateur
gilles
Fonctionne à 9600 bauds
Fonctionne à 9600 bauds
Messages : 2733
Inscription : 17 avr. 2007 21:25
Localisation : 44
Contact :

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par gilles » 20 mai 2018 13:12

On ne peut pas « aimer » un compilateur C. Soit il fait son job et on l’oublie... soit il pose quelques problèmes. Il y a très très rarement de bonnes raisons d’utiliser une version plutôt qu’une autre. En general la version du compilateur qui vient avec un os stable (et a servi à compiler cette version de l’Os) est la bonne version et il est prudent de rester dessus. En cross compilation c’est un peu le meme principe mais avec des versions plus anciennes et plus espacees.

Avatar de l’utilisateur
Hobiecat
Fonctionne à 9600 bauds
Fonctionne à 9600 bauds
Messages : 2667
Inscription : 06 sept. 2011 14:57
Localisation : Normandie / Antwerpen

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par Hobiecat » 20 mai 2018 14:28

Je ne vote pas car... je ne sais même pas ce que c'est :mrgreen:

destroyedlolo
Fonctionne à 2400 bauds
Fonctionne à 2400 bauds
Messages : 1444
Inscription : 03 mai 2003 02:24
Localisation : Nonglard (Annecy)
Contact :

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par destroyedlolo » 20 mai 2018 21:10

Salut,

Toutes machines étant sous Gentoo, je compile TRES souvent (plus évidement mes propres dev).
Et je n'ai pas forcement la meme vision des choses ...
fred260571 a écrit :
20 mai 2018 10:53
Le pire c'est qu'il est imposé par défaut dans les Raspberry Pi :evil: :evil: :evil:
Il est présent par défaut et non imposé : j'imagine que tu parles de raspbian, vu que c'est une distrib binaire, rien ne t'empeche d'y mettre un autre compilo pour tes propres dev.
Gege34 a écrit :
20 mai 2018 10:20
Il existe pour de très nombreuses plateforme mais n'est optimisé pour occune.
c'est vrai pour les archis obscures ou obsoletes (quoi que c'est le cas du m68k comme sur nos Amiga et il fait des optimisations auxquelles on ne penserait pas). Mais sur Amiga justement, je trouve qu'il est trop lourd et fait du code trop gros ... mais je suis resté à Gcc 2 sur ces becanes alors les choses ont du changé depuis :)
Mais il fait de très bonnes optimisations sur x86 et ARM (même si on peut toujours trouvé mieux, il parait que Clang a du potentiel).
Gege34 a écrit :
20 mai 2018 10:20
Ca semble devenir une usine a gaz aussi, il y a souvent des bugs à chaque nouvelle release. Donc il vaut mieux rester avec une version plus ancienne éprouvée.
et ...
gilles a écrit :
20 mai 2018 13:12
On ne peut pas « aimer » un compilateur C. Soit il fait son job et on l’oublie... soit il pose quelques problèmes. Il y a très très rarement de bonnes raisons d’utiliser une version plutôt qu’une autre. En general la version du compilateur qui vient avec un os stable (et a servi à compiler cette version de l’Os) est la bonne version et il est prudent de rester dessus. En cross compilation c’est un peu le meme principe mais avec des versions plus anciennes et plus espacees.
Ben non, Gentoo étant en mode "rolling release", il n'y a pas de gros big bang comme avec les autres distrib ... et on est bien obligé de suivre les évolutions de Gcc. Mais il y a de bon tests de QA ce qui fait que lorsque Gcc nous arrive, il a été bien testé ce qui fait qu'il est très rare d'avoir de gros pépins.
Le seul truc qu'est chiant, c'est quand ils changent les "ABI" : du coup, je dois recompiler pleins de trucs.

Maintenant la 4.9.2, c'est vieux comme Hérode, mon Gentoo stable est à la 6.4.0 :mrgreen:
Amiga, UNIX
Sharp, NetBSD http://destroyedlolo.info/
Apache, PHP 100 % dictionnary free
Vacances, Voyages 1 mispelling by word

Avatar de l’utilisateur
gege
Fonctionne à 14400 bauds
Fonctionne à 14400 bauds
Messages : 6331
Inscription : 31 janv. 2008 15:24
Localisation : Banlieue Paârisienne
Contact :

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par gege » 20 mai 2018 21:42

Bonjour,
Sauf erreur le compilateur vient avec ses librairies, donc si l'OS ne bouge pas quel intérêt de changer de version à part prendre des risques ?
Recompiler sans cesse est dangereux, non ?
Pas utilisé gcc depuis des années, mais récemment j'ai utilisé TIgcc et ça fonctionne parfaitement bien que le truc date de plus de 5 ans.
Je ne comprends pas cette frénésie de changer de version.
G.E.

destroyedlolo
Fonctionne à 2400 bauds
Fonctionne à 2400 bauds
Messages : 1444
Inscription : 03 mai 2003 02:24
Localisation : Nonglard (Annecy)
Contact :

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par destroyedlolo » 20 mai 2018 22:25

Ben, ce n'est pas upgradé pour le plaisir d'ugradé.
C'est simplement que si je reste avec une vielle version, je ne peux plus upgrader mon systeme non plus (vu que certains packages nécessitent une version mini de Gcc ... c'est dans leur "manifeste").
Ensuite, il y a des corrections de bugs d'une version a l'autre et parfois de grosses améliorations niveau perfs aussi : il me semble d'ailleurs que Gentoo avait déprécié la 4.9 au profit de la 5.2 minimum.

Concernant les librairies, ca ne gène que lors de la mise à jour des ABI ... et ça n'est arrivé qu'une ou 2 fois en 10 ans.

Bref, l'un dans l'autre, j'ai moins d'effort a faire en faisant dans maj du systeme tous les mois ou tous les 2 mois plutot que de laisser trainé ou ca devient galère après avec les dépendances.
Amiga, UNIX
Sharp, NetBSD http://destroyedlolo.info/
Apache, PHP 100 % dictionnary free
Vacances, Voyages 1 mispelling by word

Avatar de l’utilisateur
fred260571
Fonctionne à 300 bauds
Fonctionne à 300 bauds
Messages : 135
Inscription : 19 avr. 2016 13:10
Localisation : Toulouse

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par fred260571 » 21 mai 2018 05:18

Bon
Concernant le compilo de la gentoo
Good. I was not feeling so happy about this bug report, but now I can
firmly just blame the gentoo compiler for having some shit-for-brains
"feature".

Linus
https://lkml.org/lkml/2017/12/29/449
C'est pas moi qui le dit :mrgreen:

Mettre un autre compilo gcc que celui par défaut sur une Raspbian 8O 8O 8O
je n'utilise que des Debian ou des Raspbian version stable, normalement je ne suis pas "bleeding edge"
Comment se fait-il que le gcc fourni par défaut (Raspbian) ou par "apt-get install gcc" (Debian) soit un gcc tout moisi ?
Est-il nécessaire de consulter Madame Irma pour avoir une version "stable" de gcc ?
Je n'utilise ni eau bénite ni pentagramme/bougies noires quand je compile, mais je me tâte furieusement quand à l'achat d'un porte bonheur Chinois 8)
Ok, so I'm looking at the code generation and your compiler is pure and utter *shit*.

Adding Jakub to the cc, because gcc-4.9.0 seems to be terminally broken.

Lookie here, your compiler does some absolutely insane things with the spilling, including spilling a *constant*. For chrissake, that compiler shouldn't have been allowed to graduate from kindergarten. We're talking "sloth that was dropped on the head as a baby" level retardation levels
https://www.phoronix.com/scan.php?page= ... px=MTc1MDQ
C'est pas moi c'est Linus :mrgreen:

Mon dernier bug sous gcc 4.9.2 ( une vieille dame indigne )
je déclare un tableau entre les define et main ( portée générale )
je le remplie dans le main (jusque la tout va bien :mrgreen: )
j'essaie de le lire dans une fonction
et à ce moment il me dit qu'il est rempli de zero
solution bancale = je l'ai passé en argument de ma fonction
tout compte fait je n'ai pas besoin de ce tableau = delete ; meilleure solution 8)

Mes seules optimisations se font entre mes 2 oreilles :geek: :geek: :geek:
ignorance is bliss
TI 57 II, TI 66, casio fx7500g, HP48GX, HP49G+, HP200LX, palm m125, Sharp PC-G850VS, HP12C

destroyedlolo
Fonctionne à 2400 bauds
Fonctionne à 2400 bauds
Messages : 1444
Inscription : 03 mai 2003 02:24
Localisation : Nonglard (Annecy)
Contact :

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par destroyedlolo » 21 mai 2018 12:01

Salut,

Déjà, je n'ai jamais dit que Gcc était la panacée : il est même devenu lourding au fil du temps. Mais force est de constater que ce n'est pas non plus une grosse bouse vu qu'il fait sont taf ... et que beaucoup "vivent très bien avec lui".

Linus est connu pour ses throlls ... ca fait parti du personnage.

Sur le pb de la 4.14.9 dont il parle ... c'est pour ca qu'il y a des tests de non regression, et comme tu peux le voir, cette version n'est pas validée chez Gentoo, tout comme ne l'est pas la 4.9.2. Par contre, mes systèmes sont restés pendant des mois avec la 4.9.4 sans le moindre soucis. J'ai migré quand il a été déprécié (note en rouge dans la page).
fred260571 a écrit :
21 mai 2018 05:18
Mettre un autre compilo gcc que celui par défaut sur une Raspbian 8O 8O 8O
Ben Clang n'y est-il pas packagé ? Ceci dit, il n'est pas exempt de ses propres problèmes et défauts. Ou passe à un autre dépot pour avec le dernier Gcc 4.9 (ce qui t'évitera d'éventuel pb d'ABI).
fred260571 a écrit :
21 mai 2018 05:18
je n'utilise que des Debian ou des Raspbian version stable, normalement je ne suis pas "bleeding edge"
Comment se fait-il que le gcc fourni par défaut (Raspbian) ou par "apt-get install gcc" (Debian) soit un gcc tout moisi ?
Ben ça, faut voir avec eux :)
Ensuite, pour Rasbian, on ne peux pas dire que ce soit non plus le top du top non plus : il y a des trucs bien idiots comme sa gestion des SD. Les Raspberry ont la réputation d'être des SD killer, mais le problème ne vient-il pas plutot de Rasbian (vu que les 9/10 des rPI tournent sur cette OS) ?
Par exemple, le fait qu'ils activent la swap sur une SD est juste aberrant ... mais moins que d'avoir des FS sur avec les "access time" d'activés.
fred260571 a écrit :
21 mai 2018 05:18
Je n'utilise ni eau bénite ni pentagramme/bougies noires quand je compile, mais je me tâte furieusement quand à l'achat d'un porte bonheur Chinois 8)
Tant que tu ne regardes pas les visières des poulets :)

C'est a cause de pb comme ceux que tu décrives que j'ai définitivement laissé tomber Ubuntu. Et l'un dans l'autre, si ta distrib ne convient pas ... ben passe a une autre : il y en a des très bonnes faites justement pas des gens qui savent ce qu'ils font.
Gentoo, Arch si t'as du temps a y consacrer, mais aussi Armbian et sans doute d'autres.
Amiga, UNIX
Sharp, NetBSD http://destroyedlolo.info/
Apache, PHP 100 % dictionnary free
Vacances, Voyages 1 mispelling by word

Avatar de l’utilisateur
fred260571
Fonctionne à 300 bauds
Fonctionne à 300 bauds
Messages : 135
Inscription : 19 avr. 2016 13:10
Localisation : Toulouse

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par fred260571 » 22 mai 2018 04:09

Je confirme que Raspbian est une SD killeuse
Ma solution ( bancale ) : mettre mon systeme en read-only avec fstab & co
Merci pour le conseil : si je crispe trop je passe à gcc 4.9.4
destroyedlolo a écrit :
21 mai 2018 12:01
fred260571 a écrit :
21 mai 2018 05:18
Je n'utilise ni eau bénite ni pentagramme/bougies noires quand je compile, mais je me tâte furieusement quand à l'achat d'un porte bonheur Chinois 8)
Tant que tu ne regardes pas les visières des poulets :)
Par contre je suis perdu "les visières des poulets" kesako ?
ignorance is bliss
TI 57 II, TI 66, casio fx7500g, HP48GX, HP49G+, HP200LX, palm m125, Sharp PC-G850VS, HP12C

destroyedlolo
Fonctionne à 2400 bauds
Fonctionne à 2400 bauds
Messages : 1444
Inscription : 03 mai 2003 02:24
Localisation : Nonglard (Annecy)
Contact :

Re: Sondage : Aimez-vous gcc 4.9.2 ?

Message par destroyedlolo » 22 mai 2018 11:07

C'est du voodoo qui sont réputés pour faire de la magie noir avec des volatiles.

Sauf que j'aime les poules, surtout depuis que Image :mrgreen: :mrgreen: :mrgreen:
Faudrait d'ailleurs que je mette à jour mon site car leur poulailler est bien évidemment connecté à ma domotique :ugeek:
Amiga, UNIX
Sharp, NetBSD http://destroyedlolo.info/
Apache, PHP 100 % dictionnary free
Vacances, Voyages 1 mispelling by word

Répondre

Revenir vers « Sondages »